[arch-commits] Commit in efivar/repos (4 files)

Tobias Powalowski tpowa at archlinux.org
Mon Nov 27 05:50:37 UTC 2017


    Date: Monday, November 27, 2017 @ 05:50:36
  Author: tpowa
Revision: 310986

db-move: moved efivar from [testing] to [core] (x86_64)

Added:
  efivar/repos/core-x86_64/0001-fix-efivar.h-location.patch
    (from rev 310985, efivar/repos/testing-x86_64/0001-fix-efivar.h-location.patch)
  efivar/repos/core-x86_64/PKGBUILD
    (from rev 310985, efivar/repos/testing-x86_64/PKGBUILD)
Deleted:
  efivar/repos/core-x86_64/PKGBUILD
  efivar/repos/testing-x86_64/

----------------------------------------------+
 /PKGBUILD                                    |   63 +++++++++++++++++++++++++
 core-x86_64/0001-fix-efivar.h-location.patch |   24 +++++++++
 core-x86_64/PKGBUILD                         |   59 -----------------------
 3 files changed, 87 insertions(+), 59 deletions(-)

Copied: efivar/repos/core-x86_64/0001-fix-efivar.h-location.patch (from rev 310985, efivar/repos/testing-x86_64/0001-fix-efivar.h-location.patch)
===================================================================
--- core-x86_64/0001-fix-efivar.h-location.patch	                        (rev 0)
+++ core-x86_64/0001-fix-efivar.h-location.patch	2017-11-27 05:50:36 UTC (rev 310986)
@@ -0,0 +1,24 @@
+From bbd2b9849cf6fec338aa7b6745e1c1a666fca42c Mon Sep 17 00:00:00 2001
+From: rtlanceroad <rtlanceroad at gmail.com>
+Date: Wed, 13 Sep 2017 18:10:33 +0800
+Subject: [PATCH] test: Fix efivar.h location
+
+When other bits of the source got fixed to use a different include path
+for efivars, the test directory did not.
+---
+ src/test/tester.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/test/tester.c b/src/test/tester.c
+index b663e71..935362a 100644
+--- a/src/test/tester.c
++++ b/src/test/tester.c
+@@ -26,7 +26,7 @@
+ #include <sys/stat.h>
+ #include <unistd.h>
+ 
+-#include <efivar.h>
++#include <efivar/efivar.h>
+ 
+ #define TEST_GUID EFI_GUID(0x84be9c3e,0x8a32,0x42c0,0x891c,0x4c,0xd3,0xb0,0x72,0xbe,0xcc)
+ 

Deleted: core-x86_64/PKGBUILD
===================================================================
--- core-x86_64/PKGBUILD	2017-11-27 04:16:44 UTC (rev 310985)
+++ core-x86_64/PKGBUILD	2017-11-27 05:50:36 UTC (rev 310986)
@@ -1,59 +0,0 @@
-# $Id$
-# Maintainer : Tobias Powalowski <tpowa at archlinux.org>
-# Contributor : Keshav Amburay <(the ddoott ridikulus ddoott rat) (aatt) (gemmaeiil) (ddoott) (ccoomm)>
-
-pkgname="efivar"
-pkgdesc="Tools and library to manipulate EFI variables"
-pkgver=31
-pkgrel=1
-arch=('x86_64' 'i686')
-url="https://github.com/rhinstaller/efivar"
-license=('LGPL2.1')
-makedepends=('git')
-depends=('popt')
-conflicts=('libefivar')
-provides=("libefivar=${pkgver}")
-options=('strip' 'zipman' 'docs')
-source=("efivar::git+https://github.com/rhinstaller/efivar.git#tag=${pkgver}")
-#source=("efivar::git+https://github.com/rhinstaller/efivar.git#commit=8740389dded9202167007508670daefd33a7985f")
-sha1sums=('SKIP')
-
-pkgver() {
-	cd "${srcdir}/efivar/"
-	echo "$(git describe --tags)" | sed -e 's|efivar-||g' -e 's|-|\.|g'
-}
-
-prepare() {
-	
-	cd "${srcdir}/efivar/"
-	
-	git clean -x -d -f
-	echo
-	
-	sed 's|-O0|-Os|g' -i "${srcdir}/efivar/Make.defaults" || true
-	sed 's|-rpath,$(TOPDIR)/src|-rpath,$(libdir)|g' -i "${srcdir}/efivar/src/test/Makefile" || true
-}
-
-build() {
-	
-	cd "${srcdir}/efivar/"
-	CFLAGS="${CFLAGS} -flto"
-	
-	make libdir="/usr/lib/" bindir="/usr/bin/" mandir="/usr/share/man/" includedir="/usr/include/" V=1 -j1
-        cd "${srcdir}/efivar/src/test"
-        make libdir="/usr/lib/" bindir="/usr/bin/" mandir="/usr/share/man/" includedir="/usr/include/" V=1 -j1
-	echo
-	
-}
-
-package() {
-	
-	cd "${srcdir}/efivar/"
-	
-	make -j1 V=1 DESTDIR="${pkgdir}/" libdir="/usr/lib/" bindir="/usr/bin/" mandir="/usr/share/man/" includedir="/usr/include/" install
-	echo
-	
-	install -d "${pkgdir}/usr/bin"
-	install -D -m0755 "${srcdir}/efivar/src/test/tester" "${pkgdir}/usr/bin/efivar-tester"
-	
-}

Copied: efivar/repos/core-x86_64/PKGBUILD (from rev 310985, efivar/repos/testing-x86_64/PKGBUILD)
===================================================================
--- core-x86_64/PKGBUILD	                        (rev 0)
+++ core-x86_64/PKGBUILD	2017-11-27 05:50:36 UTC (rev 310986)
@@ -0,0 +1,63 @@
+# $Id$
+# Maintainer : Tobias Powalowski <tpowa at archlinux.org>
+# Contributor : Keshav Amburay <(the ddoott ridikulus ddoott rat) (aatt) (gemmaeiil) (ddoott) (ccoomm)>
+
+pkgname="efivar"
+pkgdesc="Tools and library to manipulate EFI variables"
+pkgver=32
+pkgrel=1
+arch=('x86_64')
+url="https://github.com/rhinstaller/efivar"
+license=('LGPL2.1')
+makedepends=('git')
+depends=('popt')
+conflicts=('libefivar')
+provides=("libefivar=${pkgver}")
+options=('strip' 'zipman' 'docs')
+source=("efivar::git+https://github.com/rhinstaller/efivar.git#tag=${pkgver}"
+        0001-fix-efivar.h-location.patch)
+
+#source=("efivar::git+https://github.com/rhinstaller/efivar.git#commit=8740389dded9202167007508670daefd33a7985f")
+sha1sums=('SKIP'
+          'f00fd947c40565f40f5c5d09408ac60f15b2d7fa')
+
+pkgver() {
+	cd "${srcdir}/efivar/"
+	echo "$(git describe --tags)" | sed -e 's|efivar-||g' -e 's|-|\.|g'
+}
+
+prepare() {
+	
+	cd "${srcdir}/efivar/"
+	
+	git clean -x -d -f
+	echo
+	
+	sed 's|-O0|-Os|g' -i "${srcdir}/efivar/Make.defaults" || true
+	sed 's|-rpath,$(TOPDIR)/src|-rpath,$(libdir)|g' -i "${srcdir}/efivar/src/test/Makefile" || true
+        patch -Np1 -i "${srcdir}/0001-fix-efivar.h-location.patch"
+}
+
+build() {
+	
+	cd "${srcdir}/efivar/"
+	CFLAGS="${CFLAGS} -flto"
+	
+	make libdir="/usr/lib/" bindir="/usr/bin/" mandir="/usr/share/man/" includedir="/usr/include/" V=1 -j1
+        cd "${srcdir}/efivar/src/test"
+        make libdir="/usr/lib/" bindir="/usr/bin/" mandir="/usr/share/man/" includedir="/usr/include/" V=1 -j1
+	echo
+	
+}
+
+package() {
+	
+	cd "${srcdir}/efivar/"
+	
+	make -j1 V=1 DESTDIR="${pkgdir}/" libdir="/usr/lib/" bindir="/usr/bin/" mandir="/usr/share/man/" includedir="/usr/include/" install
+	echo
+	
+	install -d "${pkgdir}/usr/bin"
+	install -D -m0755 "${srcdir}/efivar/src/test/tester" "${pkgdir}/usr/bin/efivar-tester"
+	
+}



More information about the arch-commits mailing list